fop 1.1

## org.apache.fop.render.java2d
Interface FontMetricsMapper

All Superinterfaces:
  FontMetrics

All Known Implementing Classes:
  CustomFontMetricsMapper, SystemFontMetricsMapper

    public interface FontMetricsMapper

extends FontMetrics

Adds method to retrieve the actual `Font` for use by `Java2DRenderer`s.

Method Summary
`java.awt.Font` `getFont(int size)` Gets a `Font` instance of the font that this `FontMetrics` describes in the desired size.

Methods inherited from interface org.apache.fop.fonts.FontMetrics
`getAscender, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFullName, getKerningInfo, getMaxAscent, getWidth, getWidths, getXHeight, hasKerningInfo`

Method Detail

### getFont

    java.awt.Font getFont(int size)

  Gets a `Font` instance of the font that this `FontMetrics` describes in the desired size.

  Parameters:
    `size` - font size
  Returns:
    font with the desired characteristics.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.